package cn.iocoder.yudao.module.inspection.service;

import cn.iocoder.yudao.module.shop.entity.ShopUserCar;
import cn.iocoder.yudao.module.system.dal.dataobject.user.AdminUserDO;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;

public interface AppUserOwnService {
    void updateRole(String roleCode);
    List<ShopUserCar> getCars();
    List<ShopUserCar> getCanInspectionCars();
    List<AdminUserDO> getDbList(Page<AdminUserDO> page, String searchValue);
    IPage<AdminUserDO> getDbListTow(Page<AdminUserDO> page, String searchValue);
    List<ShopUserCar> getAppUserCar();
    void userCarWarn();
}
